I have been waiting for wizards unite for what seems like a long time now. I pre registered and everything just to find out it’s not compatible with my phone. Are you kidding me? What can I do?

Asked question